{ ... }:
let
  vars = import ../vars.nix;
  ffiii_path = "${vars.primary_docker}/firefly-iii";
in
{
  virtualisation.oci-containers.containers = {
    firefly = {
      image = "fireflyiii/core:latest";
      extraOptions = [
        "--restart=always"
        "--network=firefly-iii_default"
        "--network=postgres-net"
      ];
      environmentFiles = [ "${ffiii_path}/.env" ];
      ports = [ "4188:8080" ];
      volumes = [ "${ffiii_path}/app/upload:/var/www/html/storage/upload" ];
    };
    fidi = {
      image = "fireflyiii/data-importer:latest";
      extraOptions = [ "--restart=always" ];
      environmentFiles = [ "${ffiii_path}.fidi.env" ];
      ports = [ "4187:8080" ];
      dependsOn = [ "firefly" ];
    };
  };
}
